## symbiosis-common 425~13233.c61d9e8c

=== Makefile ===

all: docs

man/%.man:: ./bin/%
	[ -d man ] || mkdir man
	RUBYLIB=./lib $<  --manual | sed -e 's/^=\+$$//' | txt2man -s 1 -t $(notdir $<) | sed -e 's/\\\\fB/\\fB/' > $@
	test -s $@

man/%.man:: ./sbin/%
	[ -d man ] || mkdir man
	RUBYLIB=./lib $<  --manual | sed -e 's/^=\+$$//' | txt2man -s 1 -t $(notdir $<) | sed -e 's/\\\\fB/\\fB/' > $@
	test -s $@

docs: man/symbiosis-encrypt-password.man  man/is-bytemark-ip.man  man/symbiosis-ip.man  man/symbiosis-test.man  man/which-backup-space.man man/symbiosis-configure-ips.man man/symbiosis-password-test.man man/symbiosis-ssl.man

clean:
	$(RM) -r man

test: test2.1 test2.3

test2.1:
	[ -z "`which ruby2.1`" ] ||  ruby2.1 -I lib ./bin/symbiosis-test  test.d/	

test2.3:
	[ -z "`which ruby2.3`" ] ||  ruby2.3 -I lib ./bin/symbiosis-test  test.d/	

.PHONY: test clean all docs

=== debian/changelog ===
symbiosis-common (2017:425~13233.c61d9e8c) stable; urgency=medium

  **** SNAPSHOT BUILD ****

 -- telyn <telyn@bytemark.co.uk>  Fri, 7 Jul 2017 15:48:23 +0100

symbiosis-common (2017:0424) stable; urgency=medium

  * Updated copyright to new machine-readable format.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 24 Apr 2017 15:47:58 +0100

symbiosis-common (2017:0328) stable; urgency=medium

  * Add symbiosis-generate-dhparams, which is used by other packages.

 -- Telyn Roat <telyn@bytemark.co.uk>  Tue, 28 Mar 2017 13:25:34 +0100

symbiosis-common (2015:1221) stable; urgency=medium

  * Rationalise testing of valid domain names into a method. 
  * Update letsencrypt tests to work with 0.3.5 of ruby-acme-client.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 19 Apr 2017 10:44:32 +0100

symbiosis-common (2015:1220) stable; urgency=medium

  * Allow underscores in hostnames.
  * Clean up ACME challenge files after validation.
  * Fixed symbiosis-ssl manpage.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 09 Aug 2016 17:34:57 +0100

symbiosis-common (2015:1218) stable; urgency=medium

  * The current certificate is now marked for replacement if it is deemed
    invalid by OpenSSL.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 25 May 2016 15:45:59 +0100

symbiosis-common (2015:1217) stable; urgency=medium

  * Added --list and --select options for symbiosis-ssl
  * Self-signed certs are no longer chosen for roll-over unless the SSL
    provider is explcitly set to self-signed.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 24 May 2016 22:19:40 +0100

symbiosis-common (2015:1216) stable; urgency=medium

  * Raise an error if the getpwent memory bug hits (closes #12783).
  * Added more output to symbiosis-ssl
  * Renew certificates at 21 days instead of 10, averting emails from
    LetsEncrypt.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 16 May 2016 12:13:26 +0100

symbiosis-common (2015:1215) stable; urgency=medium

  * Rejigged the conditions that trigger generation and rollover of
    certificates.
  * The next certificate name is now based on the contents of the ssl/sets/
    directory rather than the sets that are available for use.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 22 Jan 2016 15:22:48 +0000

symbiosis-common (2015:1214) stable; urgency=medium

  * Retry (up to 5 times) if LetsEncrypt return a bad nonce error.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 21 Jan 2016 15:43:55 +0000

symbiosis-common (2015:1213) stable; urgency=medium

  * Don't give duff emails (with newlines) to letsencrypt.
  * More output is given when the letsencrypt verification step fails.
  * The first named domain will be used as the CN now.
  * Added --force flag to re-request certificates.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 21 Jan 2016 12:03:30 +0000

symbiosis-common (2015:1212) stable; urgency=medium

  * Only poll the LetsEncrypt servers whilst the certificate request is still
    pending, rather than waiting until it is verified.
  * Fixed up --help opion to commands to output help.
  * Fixed "!! Failed: Error creating new authz :: DNS name was empty" error.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 19 Jan 2016 11:40:35 +0000

symbiosis-common (2015:1211) stable; urgency=medium

  * Added ruby-test-unit as an explicit depends.
  * Removed ruby-mocha, ruby-webmock and ruby-acme-client from build-deps, and
    added them to the dependencies for the package itself for testing.
  * Utils#get_param now returns nil if the file is missing/unreadable.
  * Added Utils#get_param_from_dir_stack.
  * Refactored SSL code to use "certificate sets", allowing SSL certificate
    rollover.
  * Added "letsencrypt" as an SSL provider.
  * Added a "selfsigned" provider to mirror the letsencrypt class.
  * Introduced new symbiosis-ssl command to handle all this. This gets run on
    a weekly basis to do rollover.
  * The DKIM selector code has been tidied to work if the hostname doesn't
    match the selector regex.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 14 Jan 2016 16:47:43 +0000

symbiosis-common (2015:1106) stable; urgency=medium

  * Added dependency on make.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 06 Nov 2015 15:08:22 +0000

symbiosis-common (2015:1105) stable; urgency=medium

  * Added Makefile in /etc/ssl to generate certificate, key, and combined form
    of certificate, bundle, and key, which is required for the FTP and email
    servers.  Any files that don't verify in the existing set up are moved out
    of the way.
  * The makefile can also generate certificate requests.
  * Keys generated by the makefile will be owned by the ssl-cert group if the
    makefile is run as root.  This is for Exim to be able to open them.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 05 Nov 2015 22:54:20 +0000

symbiosis-common (2015:1027) stable; urgency=medium

  * Added Symbiosis::Host#fqdn method.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 27 Oct 2015 22:53:44 +0000

symbiosis-common (2015:1012) stable; urgency=medium

  * Tidied up password hashing code to remove unused variable.
  * Removed unused variable in the DKIM code.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 12 Oct 2015 14:18:24 +0100

symbiosis-common (2015:0825) stable; urgency=medium

  * Rationalised how manpages were generated for all scripts.
  * Added Symbiosis::Domain#crypt_password method.
  * Set default crypt algorithm to SHA-512.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 25 Aug 2015 12:38:05 +0100

symbiosis-common (2015:0713) stable; urgency=medium

  * Depend upon `cracklib-runtime` package so password testing works.

 -- Steve Kemp <steve@bytemark.co.uk>  Mon, 13 Jul 2015 09:33:09 +0000

symbiosis-common (2015:0618) stable; urgency=medium

  * Added 5.28.56.0/21 to the Bytemark ranges.
  * Updated DKIM code to do what the documentation says it should do.


=== debian/control ===
Source: symbiosis-common
Section: web
Priority: extra
Maintainer: James Carter <jcarter@bytemark.co.uk>
Uploaders: Patrick J Cherry <patrick@bytemark.co.uk>, Steve Kemp <steve@bytemark.co.uk>
Build-Depends: debhelper (>= 7.0.0), gem2deb, txt2man
Standards-Version: 3.9.6
XS-Ruby-Versions: all

Package: symbiosis-common
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter, ruby-acme-client (>= 0.3.5), ruby-linux-netlink, ruby-cracklib, ruby-erubis, ruby-mocha, ruby-webmock, ruby-test-unit, gnutls-bin, openssl, sudo, adduser, cracklib-runtime, ssl-cert, ${misc:Depends}
Replaces: symbiosis-firewall (<< 2011:1214), symbiosis-range, symbiosis-test, bytemark-vhost-range, bytemark-vhost-test, symbiosis-crack
Breaks: symbiosis-firewall (<< 2011:1214), symbiosis-email (<< 2012:0215)
Conflicts: symbiosis-range, symbiosis-test, symbiosis-crack, bytemark-vhost-range, bytemark-vhost-test, symbiosis-email (<< 2012:0215)
Provides: symbiosis-range, bytemark-vhost-range, symbiosis-crack
Description: Common library functions for Bytemark Symbiosis
 This package contains shared code and scripts for use by the
 Symbiosis system.
 .

## symbiosis-common 0616

=== Makefile ===

RUBYLIB := "./lib:$(PWD)/lib"

all: docs

man/%.man:: ./bin/%
	[ -d man ] || mkdir man
	RUBYLIB=$(RUBYLIB) $<  --manual | sed -e 's/^=\+$$//' | txt2man -s 1 -t $(notdir $<) | sed -e 's/\\\\fB/\\fB/' > $@
	test -s $@

man/%.man:: ./sbin/%
	[ -d man ] || mkdir man
	RUBYLIB=$(RUBYLIB) $<  --manual | sed -e 's/^=\+$$//' | txt2man -s 1 -t $(notdir $<) | sed -e 's/\\\\fB/\\fB/' > $@
	test -s $@

docs: man/symbiosis-encrypt-password.man  man/is-bytemark-ip.man  man/symbiosis-ip.man  man/symbiosis-test.man  man/which-backup-space.man man/symbiosis-configure-ips.man man/symbiosis-password-test.man man/symbiosis-ssl.man

clean:
	$(RM) -r man

test:
	RUBYLIB=$(RUBYLIB) ruby ./bin/symbiosis-test test.d/

.PHONY: test clean all docs

=== debian/changelog ===
symbiosis-common (2018:0616) stable; urgency=medium

  * Rename deprecated 'File.exists?' call to 'File.exist?' in 'config_file.rb'. 
  * Add the admin user to the www-data group by default. 
  * Fix blank man pages for symbiosis-common scripts.
  * Fix up symbiosis-skel path

 -- Andrew Ladlow <andrew.ladlow@bytemark.co.uk>  Sat, 16 Jun 2018 23:44:10 +0100

symbiosis-common (2017:0901) stable; urgency=medium

  * Update postinstall hostname check to ensure HOSTNAME is qualfied.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 01 Sep 2017 09:28:20 +0100

symbiosis-common (2017:0830) stable; urgency=medium

  * Add support for running hooks on SSL certificate updates.
    See symbiosis-ssl's man page for more details.

 -- Telyn Roat <telyn@bytemark.co.uk>  Wed, 30 Aug 2017 11:04:32 +0100

symbiosis-common (2017:0818) stable; urgency=medium

  * Added diff option for Symbiosis::ConfigFile.
  * Applied rubocop to symbiosis-ssl script.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 18 Aug 2017 18:23:22 +0100

symbiosis-common (2015:1222) oldstable; urgency=medium

  * Ensure manpages are built.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 06 Jul 2017 16:09:40 +0100

=== debian/rules ===
#!/usr/bin/make -f
#
# export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --buildsystem=ruby --with ruby --with-systemd

override_dh_installinit:
	# This service is called by symbiosis-skel.path, so no need to do
	# anything other than install it.
	dh_installinit --no-start --no-scripts --name symbiosis-skel
	# GROSS HACK.  dh_installinit doesn't seem to support systemd units
	# other than service, so install it directly.
	dh_install debian/symbiosis-skel.path lib/systemd/system/
	dh_systemd_enable symbiosis-skel.path
	dh_systemd_start symbiosis-skel.path

override_dh_auto_build-indep:
	$(MAKE) docs

override_dh_auto_clean:
	$(MAKE) clean

## symbiosis-common 617~50358.a74af5e7

=== Makefile ===

export RUBYLIB = $(PWD)/lib

all: docs

man/%.man:: ./bin/%
	[ -d man ] || mkdir man
	$<  --manual | sed -e 's/^=\+$$//' | txt2man -s 1 -t $(notdir $<) | sed -e 's/\\\\fB/\\fB/' > $@
	test -s $@

man/%.man:: ./sbin/%
	[ -d man ] || mkdir man
	$<  --manual | sed -e 's/^=\+$$//' | txt2man -s 1 -t $(notdir $<) | sed -e 's/\\\\fB/\\fB/' > $@
	test -s $@

docs: man/symbiosis-encrypt-password.man  man/is-bytemark-ip.man  man/symbiosis-ip.man  man/symbiosis-test.man  man/which-backup-space.man man/symbiosis-configure-ips.man man/symbiosis-password-test.man man/symbiosis-ssl.man

clean:
	$(RM) -r man

test:
	ruby -I./lib ./bin/symbiosis-test test.d/

.PHONY: test clean all docs

=== debian/changelog ===
symbiosis-common (2018:617~50358.a74af5e7) stable; urgency=medium

  **** SNAPSHOT BUILD ****

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 22 Jun 2018 07:56:39 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: symbiosis-common
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby | ruby-interpreter, ruby-acme-client (>= 0.3.5), ruby-linux-netlink, ruby-cracklib, ruby-erubis, ruby-mocha, ruby-webmock, ruby-test-unit, gnutls-bin, openssl, sudo, adduser, cracklib-runtime, ssl-cert, ${misc:Depends}
+Depends: ruby | ruby-interpreter, ruby-acme-client (>= 0.3.5), ruby-linux-netlink, ruby-cracklib, ruby-diffy, ruby-erubis, ruby-mocha, ruby-webmock, ruby-test-unit, gnutls-bin, openssl, sudo, adduser, cracklib-runtime, ssl-cert, ${misc:Depends}
 Replaces: symbiosis-firewall (<< 2011:1214), symbiosis-range, symbiosis-test, bytemark-vhost-range, bytemark-vhost-test, symbiosis-crack
 Breaks: symbiosis-firewall (<< 2011:1214), symbiosis-email (<< 2012:0215)
 Conflicts: symbiosis-range, symbiosis-test, symbiosis-crack, bytemark-vhost-range, bytemark-vhost-test, symbiosis-email (<< 2012:0215)

## symbiosis-common 617~50399.c00733a4

=== debian/changelog ===
symbiosis-common (2018:617~50399.c00733a4) stable; urgency=medium

  **** SNAPSHOT BUILD ****

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 22 Jun 2018 11:24:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: James Carter <jcarter@bytemark.co.uk>
 Uploaders: Patrick J Cherry <patrick@bytemark.co.uk>, Steve Kemp <steve@bytemark.co.uk>
-Build-Depends: debhelper (>= 7.0.0), gem2deb, txt2man
+Build-Depends: debhelper (>= 7.0.0), gem2deb, txt2man, dh-systemd
 Standards-Version: 3.9.6
 XS-Ruby-Versions: all

=== debian/rules ===
--- 
+++ 
@@ -17,12 +17,9 @@
 	dh $@ --buildsystem=ruby --with ruby --with-systemd
 
 override_dh_installinit:
-	# This service is called by symbiosis-skel.path, so no need to do
-	# anything other than install it.
-	dh_installinit --no-start --no-scripts --name symbiosis-skel
-	# GROSS HACK.  dh_installinit doesn't seem to support systemd units
-	# other than service, so install it directly.
-	dh_install debian/symbiosis-skel.path lib/systemd/system/
+	dh_installinit
+	dh_installinit symbiosis-skel.service
+	dh_installinit symbiosis-skel.path
 	dh_systemd_enable symbiosis-skel.path
 	dh_systemd_start symbiosis-skel.path

## symbiosis-common 0901

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	$(RM) -r man
 
 test:
-	ruby -I./lib ./bin/symbiosis-test test.d/
+	ruby ./bin/symbiosis-test test.d/
 
 .PHONY: test clean all docs
